<?
include("../../conexion/class-sb-conexion.php");

//	Autorización
	$id_empresa = $_SESSION['ss_empresa'];
	$id_user = $_SESSION['ss_user'];
	$id_autoriza=72;
	include("../../../conex.php");
	include("../../../autoriza.php");

		switch($evento){
			case "inst":
				//$id_autoriza=72;
				//include("../../../conex.php");
				//include("../../../seguridad/autoriza.php");
				if ($grabar==0)  
				{
				?>
				<script>
					alert ("No Autorizado");
				</script>
				<?
				exit();
				}
			break;
			case "upda":
				//$id_autoriza=72;
				//include("../../../conex.php");
				//include("../../../seguridad/autoriza.php");
				if ($grabar==0)  
				{
				?>
				<script>
					alert ("No Autorizado");
				</script>
				<?
				exit();
				}
			break;
			case "dele":
				//$id_autoriza=72;
				//include("../../../conex.php");
				//include("../../../seguridad/autoriza.php");
				if ($eliminar==0)  
				{
				?>
				<script>
					alert ("No Autorizado");
				</script>
				<?
				exit();
				}
			break;
		default:
			print ("Error");
		break;
		}

	
	
	
		switch($evento){
		case "inst":
			$campos_insert="";
			foreach( $campo as $key => $value ) {
    			$campos_insert=$campos_insert."".$key.",";
			}
	
			$Query_insert="insert into sb_categoria_lista 
			(".rtrim(str_replace("'","",$campos_insert),",").")  values ('".implode('\',\'',$campo)."')";
					
			$dbx = new sb_mysql();
			$consulta = $dbx->consulta_free($Query_insert);
			echo $Query_insert;
			//echo $Query_update." where Codigo_HabDes=".$id;
		break;
		case "upda":
			$campos_update="";
			foreach( $campo as $key => $value ) {
    			$campos_update=$campos_update.str_replace("'","",$key)."='".$value."',";	
			}
			$Query_update="update sb_categoria_lista set ".rtrim($campos_update,",");

			$dbx = new sb_mysql();
			//echo $Query_update." where Codigo_Apv=".$id;
			$consulta = $dbx->consulta_free($Query_update." where Codigo_Categoria=".$id);
			echo $Query_update;
			
			//echo $Query_update." where Codigo_HabDes=".$id;
			
		break;
		case "dele":
				$dbx = new sb_mysql();
				$dbx->proceso($empresa_global);
				$sql="Select * from sb_categoria_lista
					  inner join sb_datos_empresa_proceso on Codigo_Caja = Caja_Comp_Datos 
					  where Codigo_Caja='".$id."' ";
					  echo $sql;
				$consulta = $dbx->consulta_free($sql);
				
				$mun2=mysqli_num_rows($consulta);
				echo $mun2;
				if($mun2==0){ 
				$sql_func="update sb_admin_caja_lista set Activo_Caja='E' where Codigo_Caja='".$id."'";
				$cons = $dbx->consulta_free($sql_func);
				?>
			 	<script>
					alert("Registro elimninado");
					window.parent.actualizar();
				</script>
            	<?
				}else{
				?><script>alert("Error:No se puede eliminar, en uso ")</script> <?
				}

			print ("delete");
		break;
		default:
			print ("Error");
		break;
		}
?>

     <script>
	window.parent.actualizar();
	 </script>
 